#include <iostream>
#include <string>


using namespace std;

int main() 
{ 
	int n,m;
	string text;
	string rec;
	
	cin>>text;
	cin>>rec;
	
	int velicinatexta=text.size();
	int velicinareci=rec.size();
	int clan1[velicinareci],clan2[velicinareci];
		
	for(int i=0;i<velicinareci;i++){
		clan1[i]=0;
		clan2[i]=0;
	}

	for(int i=0;i<velicinareci-1;i++){
		for(int j=0;j<velicinatexta;j++){
			if(text[j]==rec[i]){
				for(int p=j+1;p<velicinatexta;p++){
					if(text[p]==rec[i+1]) clan1[i+1]+=1;
				}
				break;
			}
		}
	}
	
	for(int i=velicinareci-1;i>0;i--){
		for(int j=velicinatexta;j>=0;j--){
			if(text[j]==rec[i]){
				for(int p=j-1;p>=0;p--){
					if(text[p]==rec[i-1]) clan2[i-1]+=1;
				}
				break;
			}
		}
	}
	int min1,min2,id1,id2;
			min1=clan1[1];
			min2=clan2[0];
			
	for(int i=1;i<velicinareci;i++){
			if(clan1[i]<min1){
			min1=clan1[i];
			id1=i;
			}
			
	for(int i=0;i<velicinareci-1;i++){
		if(clan2[i]<min2){
			min2=clan2[i];
			id2=i;
		}
	}
}


	int s,s1;
	if(min1<=min2){
		s=min1;
		s1=id1;
	}
	else{
		s=min2;
		s1=id2;
	}
	cout<<s;
	

	
    return 0; 
}